Module jdk.javadoc
Package com.sun.javadoc

## Interface Parameter

-     @Deprecated(since="9",
                  forRemoval=true)
      public interface Parameter

  Deprecated, for removal: This API element is subject to removal in a future version.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
  Parameter information. This includes a parameter type and parameter name.

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDesc[]` | `annotations()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the annotations of this parameter.
    `String` | `name()` | Deprecated, for removal: This API element is subject to removal in a future version. Get local name of this parameter.
    `String` | `toString()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns a string representation of the parameter.
    `Type` | `type()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the type of this parameter.
    `String` | `typeName()` | Deprecated, for removal: This API element is subject to removal in a future version. Get type name of this parameter.

- - ### Method Detail

    - #### type

          Type type()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the type of this parameter.
      Returns:
        the type of this parameter.

    - #### name

          String name()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get local name of this parameter. For example if parameter is the short 'index', returns "index".
      Returns:
        the name of this parameter as a string.

    - #### typeName

          String typeName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get type name of this parameter. For example if parameter is the short 'index', returns "short".

      This method returns a complete string representation of the type, including the dimensions of arrays and the type arguments of parameterized types. Names are qualified.

      Returns:
        a complete string representation of the type.

    - #### toString

          String toString()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns a string representation of the parameter.

      For example if parameter is the short 'index', returns "short index".

      Overrides:
        `toString` in class `Object`
      Returns:
        type and parameter name of this parameter.

    - #### annotations

          AnnotationDesc[] annotations()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the annotations of this parameter. Return an empty array if there are none.
      Returns:
        the annotations of this parameter.
      Since:
        1.5